# Timer

This class can be used to obtain the execution time of all of the scripts that are executed in the process of building a page.

Example: To be done before any scripts execute:

$Timer = new Timer; $Timer->Start_Timer();

To be done after all scripts have executed:

$timer->Stop_Timer(); $timer->Get_Elapsed_Time(int number_of_places);

author | Charles Killian
author | Hans Lellelid hans@xmpl.org
package | phing.system.util
version | $Id: 773504bd1dffd024c37458a2e75f52584d5bd43a $

### Methods

## This function returns the elapsed time in seconds.

    getElapsedTime( $places = 5) : string

Call start_time() at the beginning of script execution and end_time() at the end of script execution. Then, call elapsed_time() to obtain the difference between start_time() and end_time().

### Arguments

#### $places

``

decimal place precision of elapsed time (default is 5)

### Response

`string`

Properly formatted time.

## This function returns the current time in microseconds.

    getMicrotime() : \current

author | Everett Michaud, Zend.com
access | private

### Response

`\current`

time in microseconds

## This function sets the class variable $stime to the current time in microseconds.

    start() : void

## This function sets the class variable $etime to the current time in microseconds.

    stop() : void

### Properties

## start time

    stime :

### Type(s)

``

## end time

    etime :

### Type(s)

``